Plan Codexgate Thread
POST
/v1/admin/codexgate/threads/{thread_key}/plan
const url = 'https://example.com/v1/admin/codexgate/threads/example/plan';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"tenant_id":"default","agent_key":"","provider_key":"","scenario_key":""}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/admin/codexgate/threads/example/plan \ --header 'Content-Type: application/json' \ --data '{ "tenant_id": "default", "agent_key": "", "provider_key": "", "scenario_key": "" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”thread_key
required
Thread Key
string
Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
CodexGateThreadPlanRequestIn
object
tenant_id
Tenant Id
string
agent_key
Agent Key
string
provider_key
Provider Key
string
scenario_key
Scenario Key
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
CodexGateExecutionPlanOut
object
thread
required
CodexGateThreadOut
object
thread_key
required
Thread Key
string
repo
required
Repo
string
merge_gate
Merge Gate
string
signal
required
CodexGateSignalOut
object
observed_change_id
required
Observed Change Id
string
signal_key
required
Signal Key
string
signal_kind
required
Signal Kind
string
source
Source
string
status
Status
string
title
Title
string
summary
Summary
string
repo
Repo
string
branch
Branch
string
github_ref
Github Ref
string
merge_sha
Merge Sha
string
labels
Labels
Array<string>
changed_files
Changed Files
Array<string>
failing_checks
Failing Checks
Array<string>
review_summary
Review Summary
string
operator_text
Operator Text
string
linked_scenario_keys
Linked Scenario Keys
Array<string>
payload
Payload
object
key
additional properties
any
evaluation
required
CodexGateEvaluationOut
object
signal
required
CodexGateSignalOut
object
observed_change_id
required
Observed Change Id
string
signal_key
required
Signal Key
string
signal_kind
required
Signal Kind
string
source
Source
string
status
Status
string
title
Title
string
summary
Summary
string
repo
Repo
string
branch
Branch
string
github_ref
Github Ref
string
merge_sha
Merge Sha
string
labels
Labels
Array<string>
changed_files
Changed Files
Array<string>
failing_checks
Failing Checks
Array<string>
review_summary
Review Summary
string
operator_text
Operator Text
string
linked_scenario_keys
Linked Scenario Keys
Array<string>
payload
Payload
object
key
additional properties
any
scenario_keys
Scenario Keys
Array<string>
pack_keys
Pack Keys
Array<string>
gitops_surface
Gitops Surface
string
expected_artifacts
Expected Artifacts
Array<string>
acceptance_contract
Acceptance Contract
string
scorecard
required
CodexGateScorecardOut
object
practicality
Practicality
string
performance
Performance
string
input
Input
string
output_expectation
Output Expectation
string
improvement_suggestions
Improvement Suggestions
Array<string>
repo_policy
required
CodexGateRepositoryPolicyOut
object
repo
required
Repo
string
enabled_packs
Enabled Packs
Array<string>
allowed_agents
Allowed Agents
Array<string>
allowed_engines
Allowed Engines
Array<string>
pr_submission_policy
Pr Submission Policy
string
pr_submitter_agents
Pr Submitter Agents
Array<string>
pr_submission_pipeline
Pr Submission Pipeline
string
merge_gate
Merge Gate
string
risk_tier
Risk Tier
string
context
required
CodexGateThreadContextOut
object
changed_files
Changed Files
Array<string>
patch_targets
Patch Targets
Array<string>
failing_checks
Failing Checks
Array<string>
review_threads
Review Threads
Array<string>
linked_refs
Linked Refs
Array<string>
evidence_urls
Evidence Urls
Array<string>
prior_proposal_keys
Prior Proposal Keys
Array<string>
prior_run_ids
Prior Run Ids
Array<string>
bound_proposal_id
Bound Proposal Id
string
bound_proposal_key
Bound Proposal Key
string
affected_dataset_keys
Affected Dataset Keys
Array<string>
affected_data_domains
Affected Data Domains
Array<string>
resolved_datahub_dataset_urns
Resolved Datahub Dataset Urns
Array<string>
scan_scope
Scan Scope
string
full_repo_scan_allowed
Full Repo Scan Allowed
boolean
escalation_reason
Escalation Reason
string
primary_pack_key
Primary Pack Key
string
primary_scenario_key
Primary Scenario Key
string
agent
required
AgentPersonaOut
object
agent_key
required
Agent Key
string
display_name
required
Display Name
string
purpose
Purpose
string
stable_identity
Stable Identity
string
default_engine
Default Engine
string
allowed_packs
Allowed Packs
Array<string>
gitops_surfaces
Gitops Surfaces
Array<string>
provider
required
EngineProviderOut
object
provider_key
required
Provider Key
string
engine_key
required
Engine Key
string
display_name
Display Name
string
model_name
Model Name
string
reasoning_effort
Reasoning Effort
string
transport
Transport
string
command
Command
string
endpoint
Endpoint
string
scenario
required
CodexGateScenarioOut
object
scenario_key
required
Scenario Key
string
title
required
Title
string
domain
Domain
string
pack_key
Pack Key
string
asset_kind
Asset Kind
string
entrypoint
Entrypoint
string
objective
Objective
string
operator_prompt
Operator Prompt
string
probe_steps
Probe Steps
Array<object>
CodexGateProbeStepobject
action
required
Action
string
name
Name
string
path
Path
string
selector
Selector
string
text
Text
string
value
Value
string
budget_ms
Budget Ms
integer
optional
Optional
boolean
expected_output
Expected Output
string
signal_kinds
Signal Kinds
Array<string>
gitops_surface
Gitops Surface
string
expected_artifacts
Expected Artifacts
Array<string>
codex_prompt_template
Codex Prompt Template
string
acceptance_contract
Acceptance Contract
string
evaluation_focus
Evaluation Focus
Array<string>
tags
Tags
Array<string>
priority
Priority
string
requires_playwright
Requires Playwright
boolean
run_suffix
required
Run Suffix
string
branch_name
required
Branch Name
string
pr_title
required
Pr Title
string
pr_body
required
Pr Body
string
labels
Labels
Array<string>
check_run_names
Check Run Names
Array<string>
summary_comment
Summary Comment
string
Example
{ "thread": { "merge_gate": "human-final-merge", "signal": { "signal_kind": "pr_review_requested_changes", "source": "github", "status": "pending", "title": "", "summary": "", "repo": "", "branch": "", "github_ref": "", "merge_sha": "", "review_summary": "", "operator_text": "" }, "evaluation": { "signal": { "signal_kind": "pr_review_requested_changes", "source": "github", "status": "pending", "title": "", "summary": "", "repo": "", "branch": "", "github_ref": "", "merge_sha": "", "review_summary": "", "operator_text": "" }, "gitops_surface": "", "acceptance_contract": "", "scorecard": { "practicality": "", "performance": "", "input": "", "output_expectation": "" } }, "repo_policy": { "pr_submission_policy": "selective-agent-pr", "pr_submission_pipeline": "github-app-draft-pr", "merge_gate": "human-final-merge", "risk_tier": "standard" }, "context": { "bound_proposal_id": "", "bound_proposal_key": "", "scan_scope": "thread-scoped", "full_repo_scan_allowed": false, "escalation_reason": "" }, "primary_pack_key": "", "primary_scenario_key": "" }, "agent": { "purpose": "", "stable_identity": "", "default_engine": "" }, "provider": { "display_name": "", "model_name": "", "reasoning_effort": "", "transport": "codex-cli", "command": "", "endpoint": "" }, "scenario": { "domain": "", "pack_key": "", "asset_kind": "", "entrypoint": "", "objective": "", "operator_prompt": "", "probe_steps": [ { "action": "goto", "name": "", "path": "", "selector": "", "text": "", "value": "", "budget_ms": 0, "optional": false } ], "expected_output": "", "gitops_surface": "", "codex_prompt_template": "", "acceptance_contract": "", "evaluation_focus": [ "practicality" ], "priority": "standard", "requires_playwright": true }, "summary_comment": ""}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}